Subject: [bug#55912] [PATCH v2] home: Add OpenSSH service.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 Jun 2022 12:47:02 +0200

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op wo 15-06-2022 om 22:29 [+0200]:
>> +  (computed-file name
>> +                 (with-imported-modules '((guix build utils))
>> +                   #~(begin
>> +                       (use-modules (guix build utils))
>> +
>> +                       ;; Support non-ASCII file names.
>> +                       (setenv "GUIX_LOCPATH"
>> +                               #+(file-append glibc-utf8-locales
>> +                                              "/lib/locale"))
>> +                       (setlocale LC_ALL "en_US.utf8")
>
> For robustness, I think it would be best to move this locale
> initialisation code to the implementation of 'computed-file' itself, to
> eliminate this potential pitfall entirely.

I’d rather have ‘computed-file’ do just what it’s documented to do; I
don’t think this kind of thing belongs there.  (It’s beyond the scope of
this patch set too.)

Ideally Guile would just do the right thing without us fiddling with
locales.  That is, it would default to UTF-8 rather than ASCII.

Thanks,
Ludo’.